<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# hijack-fd

```text
usage: hijack-fd [-h] fdnum newfile

```

Replace a file descriptor of a debugged process.

The new file descriptor can point to:

- a file
- a pipe
- a socket
- a device, etc.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|fdnum|File descriptor (FD) number to be replaced with the specified new socket or file.|
|newfile|Specify a file or a socket.  For files, the filename must start with `/` (e.g., `/etc/passwd`).  For sockets, the following formats are allowed: - `127.0.0.1:80` (default is TCP) - `tcp://[::1]:80` - `udp://example.com:80` - `tcp+ipv6://example.com:80`     |

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|

### Examples
```text
1. Redirect STDOUT to a file:
   `hijack-fd 1 /dev/null`

2. Redirect STDERR to a socket:
   `hijack-fd 2 tcp://localhost:8888`
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
